### Function

# Dex output_stream_splice

#### Declaration [src]

    DexFuture*
    dex_output_stream_splice (
      GOutputStream* output,
      GInputStream* input,
      GOutputStreamSpliceFlags flags,
      int io_priority
    )

#### Description

No description available.

#### Parameters

`output`

  Type: `GOutputStream`

  No description available.

  The data is owned by the caller of the function.

`input`

  Type: `GInputStream`

  No description available.

  The data is owned by the caller of the function.

`flags`

  Type: `GOutputStreamSpliceFlags`

  No description available.

`io_priority`

  Type: `int`

  No description available.

#### Return value

Type: `DexFuture`

A `DexFuture`.

The caller of the function takes ownership of the data, and is responsible for freeing it.